Update an existing case comment.
HTTP Method: PUT
| Parameter |
Description |
| value |
The value of the case comment. |
| Path Parameter |
Description |
| case_id |
The ID of the case. |
| comment_id |
The ID of the comment. |
curl -X PUT \
https://<tenant-domain>/api/v2/cases/<<case_id>>/comments/<<comment_id>> \
-H 'content-type: application/json' \
-H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
-d '{
"value": "This is an updated comment"
}'
A successful request will return a JSON object describing the updated case comment.
| Parameter |
Description |
| case_id |
The ID of the case. |
| id |
The ID of the record with the comment attached to the case. |
| action |
The action taken on the case - commented in this instance. |
| value |
The updated case comment. |
| created_at |
ISO 8601 Timestamp representing creation date. |
| user |
Details of the user. |
| reactions |
An array of objects describing the reactions and their reactants on the comment. |
| User parameter |
Description |
| user_id |
The user ID. |
| first_name |
The user's first name. |
| last_name |
The user's last name. |
| email |
The user's email address. |
| avatar_url |
The user's avatar url. |
| is_service_account |
Whether this user is a service account (true/false). |
{
"case_id": 42,
"id": 7508,
"activity_type": "COMMENTED",
"value": "This is an updated comment",
"created_at": "2024-03-07T11:42:58Z",
"user": {
"user_id": 1,
"first_name": "Jane",
"last_name": "Doe",
"email": "jane@tines.io",
"avatar_url": "example.com/avatar",
"is_service_account": false
},
"reactions": [
{
"emoji": ":heart:",
"reactants": [
{
"user_id": 1,
"user_name": "John Smith",
"reacted_at": "2024-03-12T10:06:38+00:00"
}
]
}
]
}